<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>Chat TSE</title>
    <link rel="stylesheet" type="text/css" href="/src/style.css" />
</head>

<body>
    <!--A div to choose your nickname-->
    <div id="nicknameChoice">
        <p>Enter your nickname :</p>
        <form id="nicknameForm">
            <input id="nickname"></input><br>
            <input type="radio" name="character" value="perso1" id="p1" checked><label for="p1">Character 1</label><br>
            <input type="radio" name="character" value="perso2" id="p2"><label for="p2">Character 2</label><br>
            <input type="radio" name="character" value="perso3" id="p3"><label for="p3">Character 3</label><br>
            <input type="submit" value="Connection"></input>
        </form>

        <!--A paragraph to display error in the nickname-->
        <p id="nicknameError"></p>

        <div id="charSelct">
            <img src="./src/Resources/PersoBienvenue.png" alt="Bienvenue" title="Bienvenue à toi dresseur!"
                width="100" />
        </div>

        <!--Display the different character possible-->
        <div d="cecinestpaspris">
            <figure>
                <img src="./src/Resources/perso1mini.png" alt="perso1" title="Personnage n1" width="100" />
                <figcaption>Character n°1</figcaption>
            </figure>
        </div>
        <div>
            <figure id="p2">
                <img src="./src/Resources/perso2mini.png" alt="perso2" title="Personnage n2" width="100" />
                <figcaption>Character n°2</figcaption>
            </figure>

            <figure id="p3">
                <img src="./src/Resources/perso3mini.png" alt="perso3" title="Personnage n3" width="100" />
                <figcaption>Character n°3</figcaption>
            </figure>
        </div>

    </div>

    <!--A div to display all the content of the app-->
    <div id="appContent">

        <!--The left side of the app-->
        <div id="leftSide">

            <!--A paragraph to display the connection information-->
            <p id="connectionInfo"></p>

            <!--The disconnected button-->
            <form id="disconnection">
                <input type="submit" value="Disconnect"></input>
            </form>

            <!--A div to display the connected users-->
            <div id="usersDiv">
                <b>Connected users :</b>
                <p id="connectedList"></p>
            </div>
        </div>

        <!--All the canvas-->
        <div id="Center">
            <canvas id="ground" width="800" height="600"></canvas>
            <canvas id="object" width="800" height="600"></canvas>
            <canvas id="name" width="800" height="600"></canvas>
        </div>

        <!--A div to display the chat-->
        <div id="chatMessages">
            <p id="chatTitle"></p>
            <input type="button" id="buttonStop" value="Stop chat"></input>
            <p id="allMessages"></p>
            <form id="messageForm">
                <input id="message"></input>
                <input type="submit"></input>
            </form>

        </div>

        <!--The general chat-->
        <div id="generalChat">
            <b>General</b>
            <p id="generalMessages"></p>
        </div>

    </div>

    <!--The frame to display a chat request or its response-->
    <div id="askChat">
        <p id="askText"></p>
        <form id="askForm">
            <input type="button" id="buttonYes" value="YES"></input>
            <input type="button" id="buttonNo" value="NO"></input>
        </form>
        <input type="button" id="buttonOk" value="OK"></input>
    </div>

    <script src="/socket.io/socket.io.js"></script>
    <script type="text/javascript" src="/src/game.js"></script>

</body>

</html>